package com.ssj.service.conch.teacher.app.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yangcan
 * 类描述: 用户userId实体
 * 创建时间:2019/7/23 15:52
 */
public class VcodeResetReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "phone", value = "手机号码", required = true)
    @NotBlank
    private String phone;

    @ApiModelProperty(name = "vcode", value = "验证码", required = true)
    @NotBlank
    private String vcode;

    @ApiModelProperty(name = "password", value = "新密码", required = true)
    @NotBlank
    private String password;

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getVcode() {
        return vcode;
    }

    public void setVcode(String vcode) {
        this.vcode = vcode;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
